## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate tungstenite

Name:           rust-tungstenite
Version:        0.20.1
Release:        %autorelease
Summary:        Lightweight stream-based WebSocket implementation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tungstenite
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          tungstenite-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lightweight stream-based WebSocket implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+data-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+data-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "data-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+data-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+handshake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+handshake-devel %{_description}

This package contains library source intended for building other packages which
use the "handshake" feature of the "%{crate}" crate.

%files       -n %{name}+handshake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-devel %{_description}

This package contains library source intended for building other packages which
use the "http" feature of the "%{crate}" crate.

%files       -n %{name}+http-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+httparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+httparse-devel %{_description}

This package contains library source intended for building other packages which
use the "httparse" feature of the "%{crate}" crate.

%files       -n %{name}+httparse-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-crate-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls-crate" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-crate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-devel %{_description}

This package contains library source intended for building other packages which
use the "sha1" feature of the "%{crate}" crate.

%files       -n %{name}+sha1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Sep 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-1
- Update to version 0.20.1; Fixes RHBZ#2186184

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-1
- Update to version 0.18.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-1
- Update to version 0.17.3; Fixes RHBZ#1914245

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.11.1-1
- Update to 0.11.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Mar 18 17:34:25 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 16 2019 Josh Stone <jistone@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Sun Oct 20 01:12:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 13 11:33:50 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

